<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bonus',

    /*
     * Package.
     */
    'package'   => 'litecms',

    /*
     * Modules.
     */
    'modules'   => ['other_income'],

    
    'other_income'       => [
        'model' => [
            'model'                 => \Bonus\Litecms\Models\OtherIncome::class,
            'table'                 => 'other_incomes',
            'presenter'             => \Bonus\Litecms\Repositories\Presenter\OtherIncomePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['amount',  'client_id',  'description',  'transaction_type'],
            'translatables'         => [],
            'upload_folder'         => 'litecms/other_income',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bonus',
            'package'   => 'Litecms',
            'module'    => 'OtherIncome',
        ],

    ],
];
