<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for other_income in litecms package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  other_income module in litecms package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'OtherIncome',
    'names'         => 'OtherIncomes',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'OtherIncomes',
        'sub'   => 'OtherIncomes',
        'list'  => 'List of other_incomes',
        'edit'  => 'Edit other_income',
        'create'    => 'Create new other_income'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'transaction_type'    => [],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'amount'                     => 'Enter Amount',
        'client_id'                  => 'Select client',
        'description'                => 'Enter description',
        'transaction_type'           => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'amount'                     => 'Amount ($)',
        'client_id'                  => 'Select client',
        'description'                => 'Description',
        'transaction_type'           => 'Transaction _type',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'amount'                     => ['name' => 'Amount ($)', 'data-column' => 1, 'checked'],
        'client_id'                  => ['name' => 'Select client', 'data-column' => 2, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'OtherIncomes',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
